package com.hjy;

import com.hjy.common.config.ZhbsqConfig;
import com.hjy.framework.web.domain.Server;
import com.hjy.framework.web.domain.server.Sys;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
import org.springframework.context.ConfigurableApplicationContext;
import org.springframework.core.env.Environment;

import java.net.InetAddress;
import java.net.UnknownHostException;

/**
 * 启动程序
 *
 * @author HJY
 */
@SpringBootApplication(exclude = {DataSourceAutoConfiguration.class})
public class ZhbsqApplication {
    public static void main(String[] args) throws UnknownHostException {
        ConfigurableApplicationContext application = SpringApplication.run(ZhbsqApplication.class, args);
        System.out.println("(♥◠‿◠)ﾉﾞ后台项目启动成功   ლ(´ڡ`ლ)ﾞ ");
        Environment env = application.getEnvironment();
        String ip = InetAddress.getLocalHost().getHostAddress();
        String port = env.getProperty("server.port");
        String path = env.getProperty("server.servlet.context-path");
        System.out.println("Swagger文档: \thttp://" + ip + ":" + port + path + "/doc.html\n");
    }
}
