package com.hjy.modlue.portalAPI;

import com.hjy.common.annotation.Log;
import com.hjy.common.core.controller.BaseController;
import com.hjy.common.core.domain.AjaxResult;
import com.hjy.common.enums.BusinessType;
import com.hjy.module.service.portal.ICbExpertServiceService;
import com.hjy.module.vo.portal.CbExpertServiceVo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@Api(tags = "专家服务相关接口")
@RestController
@RequestMapping("/portal_api/expert_service")
@RequiredArgsConstructor(onConstructor_ = @Autowired)
public class PortalExpertServiceController extends BaseController {


    private final ICbExpertServiceService cbExpertServiceService;

    @ApiOperation("查询专家服务配置所有列表")
    @GetMapping("/listAll")
    public AjaxResult listAll(CbExpertServiceVo entity) {
        return AjaxResult.success("查询成功", cbExpertServiceService.queryAll(entity));
    }

    @ApiOperation("新增专家服务配置")
    @Log(title = "专家服务配置", businessType = BusinessType.INSERT)
    @PostMapping("add")
    public AjaxResult add(@RequestBody CbExpertServiceVo entity) {
        return toAjax(cbExpertServiceService.save(entity));
    }

    @ApiOperation("修改专家服务配置")
    @Log(title = "专家服务配置", businessType = BusinessType.UPDATE)
    @PostMapping("edit")
    public AjaxResult edit(@RequestBody CbExpertServiceVo entity) {
        return toAjax(cbExpertServiceService.updateById(entity));
    }

    @ApiOperation("删除专家服务配置")
    @Log(title = "专家服务配置", businessType = BusinessType.DELETE)
    @GetMapping("/remove/{ids}")
    public AjaxResult remove(@PathVariable String[] ids) {
        for (String id : ids){
            CbExpertServiceVo entity = new CbExpertServiceVo();
            entity.setId(id);
            entity.setDelFlag("1");
            cbExpertServiceService.updateById(entity);
        }
        return success();
    }
}
