package com.hjy.modlue.portalAPI;

import com.hjy.common.annotation.Log;
import com.hjy.common.core.controller.BaseController;
import com.hjy.common.core.domain.AjaxResult;
import com.hjy.common.enums.BusinessType;
import com.hjy.module.service.portal.ICbQuestionService;
import com.hjy.module.vo.portal.CbQuestionVo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.*;

@Api(tags = "门户咨询信息Controller")
@RestController
@RequestMapping("/portal_api/QUESTION")
@RequiredArgsConstructor(onConstructor_ = @Autowired)
public class PortalQuestionController extends BaseController {

    private final ICbQuestionService cbQuestionService;
    @ApiOperation("新增咨询信息")
    @Log(title = "咨询信息", businessType = BusinessType.INSERT)
    @PostMapping("add")
    public AjaxResult add(@RequestBody CbQuestionVo entity) {
        return toAjax(cbQuestionService.save(entity));
    }

    @ApiOperation("修改咨询信息")
    @Log(title = "咨询信息", businessType = BusinessType.UPDATE)
    @PostMapping("edit")
    public AjaxResult edit(@RequestBody CbQuestionVo entity) {
        return toAjax(cbQuestionService.updateById(entity));
    }

    @ApiOperation("删除咨询信息")
    @Log(title = "咨询信息", businessType = BusinessType.DELETE)
    @GetMapping("/remove/{ids}")
    public AjaxResult remove(@PathVariable String[] ids) {
        for (String id : ids){
            CbQuestionVo entity = new CbQuestionVo();
            entity.setId(id);
            entity.setDelFlag("1");
            cbQuestionService.updateById(entity);
        }
        return success();
    }

}
