package com.hjy.common.core.domain.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.hjy.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.hjy.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * 门户用户对象 CB_COMPANY_USER
 *
 * @author Tellsea
 * @date 2023-08-23
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class CbCompanyUser extends BaseEntity {

    /**
     * $column.columnComment
     */
    @TableId(type = IdType.ASSIGN_ID)
    private String id;

    /**
     * 删除标识
     */
    @TableField(fill = FieldFill.INSERT)
    @Excel(name = "删除标识")
    private String delFlag;

    /**
     * 姓名
     */
    @Excel(name = "姓名")
    private String nickName;

    /**
     * 用户名
     */
    @Excel(name = "用户名")
    private String userName;

    /**
     * 密码
     */
    @Excel(name = "密码")
    private String password;

    /**
     * 登录ip
     */
    @Excel(name = "登录ip")
    private String loginIp;

    /**
     * 登录日期
     */
    @Excel(name = "登录日期")
    private Date loginDate;

    /**
     * 类型
     */
    @Excel(name = "类型(1=普通用户,2=专家)")
    private String type;

    /**
     * 基本信息
     */
    @Excel(name = "基本信息")
    private String baseInfo;

    /**
     * 学历
     */
    @Excel(name = "学历")
    private String education;

    /**
     * 工作经验
     */
    @Excel(name = "工作经验")
    private String experience;

    /**
     * 专业领域
     */
    @Excel(name = "专业领域")
    private String field;

    /**
     * 研究方向
     */
    @Excel(name = "研究方向")
    private String research;

}
