package com.hjy.module.domain.gether;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.hjy.common.annotation.Excel;
import com.hjy.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

/**
 * 数据采集对象 CB_GATHER
 *
 * @author Tellsea
 * @date 2023-08-30
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class CbGather extends BaseEntity {

    /**
     * $column.columnComment
     */
    @TableId(type = IdType.ASSIGN_ID)
    private String id;

    /**
     * 删除标识
     */
    @TableField(fill = FieldFill.INSERT)
    @Excel(name = "删除标识")
    private String delFlag;

    /**
     * 部门id
     */
    @TableField(fill = FieldFill.INSERT)
    @Excel(name = "部门id")
    private String deptId;

    /**
     * 数据类型(0=量化指标数据,1=月报表数据)
     */
    @ApiModelProperty("数据类型(0=量化指标数据,1=月报表数据)")
    @Excel(name = "数据类型(0=量化指标数据,1=月报表数据)")
    private String type;

    /**
     * 月份
     */
    @ApiModelProperty("月份")
    @Excel(name = "月份")
    private String month;

    /**
     * 采集状态(0=未采集,1=已采集)
     */
    @ApiModelProperty("采集状态(0=未采集,1=已采集)")
    @Excel(name = "采集状态(0=未采集,1=已采集)")
    private String collStatus;

    /**
     * 上报状态(0=未上报,=1已上报)
     */
    @ApiModelProperty("上报状态(0=未上报,=1已上报)")
    @Excel(name = "上报状态(0=未上报,=1已上报)")
    private String reportStatus;

    /**
     * 审核状态(0=未审核,1审核中,2=审核通过,3=审核拒绝)
     */
    @ApiModelProperty("审核状态(0=未审核,1审核中,2=审核通过,3=审核拒绝)")
    @Excel(name = "审核状态(0=未审核,1审核中,2=审核通过,3=审核拒绝)")
    private String approveStatus;

}
