package com.hjy.module.domain.news;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.hjy.common.annotation.Excel;
import com.hjy.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

/**
 * 网站新闻对象 CB_NEWS
 *
 * @author Tellsea
 * @date 2023-08-22
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class CbNews extends BaseEntity {

    /**
     * 主键
     */
    @TableId(type = IdType.ASSIGN_ID)
    @Excel(name = "主键")
    private String id;

    /**
     * 删除标志
     */
    @TableField(fill = FieldFill.INSERT)
    @Excel(name = "删除标志")
    private String delFlag;

    /**
     * 部门ID
     */
    @TableField(fill = FieldFill.INSERT)
    @Excel(name = "部门ID")
    private String deptId;

    /**
     * 标题
     */
    @TableField(fill = FieldFill.INSERT)
    @Excel(name = "标题")
    private String title;

    /**
     * 内容
     */
    @TableField(fill = FieldFill.INSERT)
    @Excel(name = "内容")
    private String content;

    /**
     * 附件
     */
    @TableField(fill = FieldFill.INSERT)
    @Excel(name = "附件")
    private String fileUrl;

    /**
     * 字典类型id(1.要闻咨询，2.政策法规，3.通知公告，4.政策解读)
     */
    @TableField(fill = FieldFill.INSERT)
    @Excel(name = "字典类型id(1.要闻咨询，2.政策法规，3.通知公告，4.政策解读)")
    private String type;

    /**
     * 字典类型名称
     */
    @TableField(fill = FieldFill.INSERT)
    @Excel(name = "字典类型名称")
    private String typeName;

    /**
     * 图片
     */
    @TableField(fill = FieldFill.INSERT)
    @Excel(name = "图片")
    private String picture;

    /**
     * 状态(0.草稿，1.下架，2.审核中，3.审核驳回，4.已发布，5.已上报)
     */
    @TableField(fill = FieldFill.INSERT)
    @Excel(name = "状态(0.草稿，1.下架，2.审核中，3.审核驳回，4.已发布，5.已上报)")
    private String status;

}
