package com.hjy.module.domain.portal;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.hjy.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.hjy.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

/**
 * 咨询信息对象 CB_QUESTION
 *
 * @author Tellsea
 * @date 2023-08-23
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class CbQuestion extends BaseEntity {

    /**
     * $column.columnComment
     */
    @Excel(name = "门户用户id")
    private String answerId;

    /**
     * $column.columnComment
     */
    @TableId(type = IdType.ASSIGN_ID)
    private String id;

    /**
     * 删除标识
     */
    @TableField(fill = FieldFill.INSERT)
    @Excel(name = "删除标识")
    private String delFlag;

    /**
     * 标签_id
     */
    @Excel(name = "标签_id")
    private String cbId;


    /**
     * 部门id
     */
    @Excel(name = "部门id")
    private String deptId;

    /**
     * 提问标题
     */
    @Excel(name = "提问标题")
    private String question;

    /**
     * 标签名称
     */
    @Excel(name = "标签名称")
    private String mark;

    /**
     * 提问人姓名
     */
    @Excel(name = "提问人姓名")
    private String ansName;

    /**
     * 专家姓名
     */
    @Excel(name = "专家姓名")
    private String expertName;

    /**
     * 专家id
     */
    @Excel(name = "专家id")
    private String expertId;

    /**
     * 专家回答
     */
    @Excel(name = "专家回答")
    private String expertAnswer;

    /**
     * 提问详情
     */
    @Excel(name = "提问详情")
    private String detail;

    /**
     * 评价状态
     */
    @Excel(name = "评价状态")
    private String status;

    /**
     * 期望回复时间
     */
    @Excel(name = "期望回复时间")
    private String responseTime;

    /**
     * $column.columnComment
     */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String checkStatus;

}
