package com.hjy.module.service.portal.impl;

import cn.hutool.core.bean.BeanUtil;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.common.core.text.Convert;
import com.hjy.common.utils.PageUtils;
import com.hjy.common.core.domain.entity.CbCompanyUser;
import com.hjy.module.mapper.portal.CbCompanyUserMapper;
import com.hjy.module.service.portal.ICbCompanyUserService;
import com.hjy.module.vo.portal.CbCompanyUserVo;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 门户用户Service业务层处理
 *
 * @author Tellsea
 * @date 2023-08-23
 */
@Service
public class CbCompanyUserServiceImpl extends ServiceImpl<CbCompanyUserMapper, CbCompanyUser> implements ICbCompanyUserService {

    /**
     * 根据用户名查询
     * @param userName
     * @return
     */
    @Override
    public CbCompanyUser selectCbCompanyUserByuserName(String userName) {
        CbCompanyUser companyUser = lambdaQuery().eq(CbCompanyUser::getUserName,userName)
                                                .eq(CbCompanyUser::getDelFlag,"0")
                                                .one();
        return companyUser;
    }

    @Override
    public int checkCbCompanyUserByuserName(String userName) {
        return lambdaQuery().eq(CbCompanyUser::getUserName,userName)
                .eq(CbCompanyUser::getDelFlag,"0")
                .count();
    }


    @Override
    public TableDataInfo<CbCompanyUserVo> queryList(CbCompanyUserVo entity) {
        return PageUtils.buildDataInfo(this.baseMapper.queryList(PageUtils.buildPage(), entity));
    }

    @Override
    public List<CbCompanyUserVo> queryAll(CbCompanyUserVo entity) {
        return this.baseMapper.queryList(entity);
    }

    @Override
    public CbCompanyUserVo queryById(String id) {
        return this.baseMapper.queryById(id);
    }
}
