package com.hjy.module.service.portal.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.common.utils.PageUtils;
import com.hjy.module.domain.portal.CbQuestion;
import com.hjy.module.mapper.portal.CbQuestionMapper;
import com.hjy.module.service.portal.ICbQuestionService;
import com.hjy.module.vo.portal.CbQuestionVo;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 咨询信息Service业务层处理
 *
 * @author Tellsea
 * @date 2023-08-23
 */
@Service
public class CbQuestionServiceImpl extends ServiceImpl<CbQuestionMapper, CbQuestion> implements ICbQuestionService {

    @Override
    public TableDataInfo<CbQuestionVo> queryList(CbQuestionVo entity) {
        return PageUtils.buildDataInfo(this.baseMapper.queryList(PageUtils.buildPage(), entity));
    }

    @Override
    public List<CbQuestionVo> queryAll(CbQuestionVo entity) {
        return this.baseMapper.queryList(entity);
    }

    @Override
    public CbQuestionVo queryById(String answerId) {
        return this.baseMapper.queryById(answerId);
    }
}
